"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useDebounce = (fn, ms = 0, args = []) => {
    const [timeout, setTimeoutVar] = react_1.useState(null);
    react_1.useEffect(() => {
        // if args change then clear timeout
        clearTimeout(timeout);
        const t = setTimeout(fn.bind(null, args), ms);
        setTimeoutVar(t);
    }, args);
};
exports.default = useDebounce;
