"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useSetState = (initialState = {}) => {
    const [state, set] = react_1.useState(initialState);
    const setState = (patch) => {
        if (patch instanceof Function) {
            set((prevState) => {
                return Object.assign(state, patch(prevState));
            });
        }
        else {
            Object.assign(state, patch);
            set(state);
        }
    };
    return [state, setState];
};
exports.default = useSetState;
